BeanELResolver (EL 3.0 API Documentation - Apache Tomcat 8.5.83)

Package javax.el

## Class BeanELResolver

- java.lang.Object
- - javax.el.ELResolver
  - - javax.el.BeanELResolver

-     public class BeanELResolver
      extends ELResolver

  Standard ELResolver for working with JavaBeans.

- - ### Field Summary

    - ### Fields inherited from class javax.el.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BeanELResolver()` | Creates a writable instance of the standard JavaBean resolver.
    `BeanELResolver​(boolean readOnly)` | Creates an instance of the standard JavaBean resolver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getCommonPropertyType​(ELContext context, java.lang.Object base)` | Obtain the most common type that is acceptable for the given base object.
    `java.util.Iterator<java.beans.FeatureDescriptor>` | `getFeatureDescriptors​(ELContext context, java.lang.Object base)` | Obtain the feature descriptors for the resolvable properties of the given object.
    `java.lang.Class<?>` | `getType​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `java.lang.Object` | `getValue​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `java.lang.Object` | `invoke​(ELContext context, java.lang.Object base, java.lang.Object method, java.lang.Class<?>[] paramTypes, java.lang.Object[] params)` | Invokes a method on the the given object.
    `boolean` | `isReadOnly​(ELContext context, java.lang.Object base, java.lang.Object property)` |
    `void` | `setValue​(ELContext context, java.lang.Object base, java.lang.Object property, java.lang.Object value)` |

    - ### Methods inherited from class javax.el.ELResolver

      `convertToType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanELResolver

          public BeanELResolver()

      Creates a writable instance of the standard JavaBean resolver.

    - #### BeanELResolver

          public BeanELResolver​(boolean readOnly)

      Creates an instance of the standard JavaBean resolver.
      Parameters:
        `readOnly` - `true` if the created instance should be read-only otherwise false.

  - ### Method Detail

    - #### getType

          public java.lang.Class<?> getType​(ELContext context,
                                            java.lang.Object base,
                                            java.lang.Object property)

      Specified by:
        `getType` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose type is to be returned
      Returns:
        the type of the provided property

    - #### getValue

          public java.lang.Object getValue​(ELContext context,
                                           java.lang.Object base,
                                           java.lang.Object property)

      Specified by:
        `getValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be returned
      Returns:
        the value of the provided property

    - #### setValue

          public void setValue​(ELContext context,
                               java.lang.Object base,
                               java.lang.Object property,
                               java.lang.Object value)

      Specified by:
        `setValue` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property whose value is to be set
        `value` - The value to set the property to

    - #### invoke

          public java.lang.Object invoke​(ELContext context,
                                         java.lang.Object base,
                                         java.lang.Object method,
                                         java.lang.Class<?>[] paramTypes,
                                         java.lang.Object[] params)

      Description copied from class: `ELResolver`
      Invokes a method on the the given object. This default implementation always returns `null`.
      Overrides:
        `invoke` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the method is to be found
        `method` - The method to invoke
        `paramTypes` - The types of the parameters of the method to invoke
        `params` - The parameters with which to invoke the method
      Returns:
        Always `null`
      Since:
        EL 2.2

    - #### isReadOnly

          public boolean isReadOnly​(ELContext context,
                                    java.lang.Object base,
                                    java.lang.Object property)

      Specified by:
        `isReadOnly` in class `ELResolver`
      Parameters:
        `context` - The EL context for this evaluation
        `base` - The base object on which the property is to be found
        `property` - The property to be checked for read only status
      Returns:
        `true` if the identified property is read only, otherwise `false`

    - #### getFeatureDescriptors

          public java.util.Iterator<java.beans.FeatureDescriptor> getFeatureDescriptors​(ELContext context,
                                                                                        java.lang.Object base)

      Description copied from class: `ELResolver`
      Obtain the feature descriptors for the resolvable properties of the given object.
      Specified by:
        `getFeatureDescriptors` in class `ELResolver`
      Parameters:
        `context` - The context in which the examination takes place
        `base` - The object to examine
      Returns:
        An iterator, possibly empty, of feature descriptors of the given object

    - #### getCommonPropertyType

          public java.lang.Class<?> getCommonPropertyType​(ELContext context,
                                                          java.lang.Object base)

      Description copied from class: `ELResolver`
      Obtain the most common type that is acceptable for the given base object.
      Specified by:
        `getCommonPropertyType` in class `ELResolver`
      Parameters:
        `context` - The context in which the examination takes place
        `base` - The object to examine
      Returns:
        {code null} if the most common type cannot be determine, otherwise the most common type